Package org.eclipse.net4j.util.security

## Class DiffieHellman.Server.Challenge

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge

- Enclosing class:
    DiffieHellman.Server

      public static final class DiffieHellman.Server.Challenge
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Challenge​(java.lang.String serverRealm, java.lang.String secretAlgorithm, java.lang.String cipherTransformation, byte[] serverPubKeyEnc)` | Deprecated. As of 3.8 public construction is no longer supported.
    `Challenge​(ExtendedDataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCipherTransformation()` |
    `java.lang.String` | `getCypherTransformation()` | Deprecated. As of 3.8 use `getCipherTransformation()`.
    `java.lang.String` | `getSecretAlgorithm()` |
    `int` | `getSecretAlgorithmKeyLen()` |
    `byte[]` | `getServerPubKeyEnc()` |
    `java.lang.String` | `getServerRealm()` |
    `void` | `write​(ExtendedDataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Challenge

          @Deprecated
          public Challenge​(java.lang.String serverRealm,
                           java.lang.String secretAlgorithm,
                           java.lang.String cipherTransformation,
                           byte[] serverPubKeyEnc)

      Deprecated.
      As of 3.8 public construction is no longer supported.

    - #### Challenge

          public Challenge​(ExtendedDataInput in)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(ExtendedDataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getServerRealm

          public java.lang.String getServerRealm()

    - #### getSecretAlgorithmKeyLen

          public int getSecretAlgorithmKeyLen()

      Since:
        3.8

    - #### getSecretAlgorithm

          public java.lang.String getSecretAlgorithm()

    - #### getCipherTransformation

          public java.lang.String getCipherTransformation()

      Since:
        3.8

    - #### getCypherTransformation

          @Deprecated
          public java.lang.String getCypherTransformation()

      Deprecated.
      As of 3.8 use `getCipherTransformation()`.

    - #### getServerPubKeyEnc

          public byte[] getServerPubKeyEnc()